Get the Default Live Agent Inbox - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/v2.0/projects/{projectId}/inbox
Get the Default Live Agent Inbox
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/inbox \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/inbox"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/inbox",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/inbox"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Errors
| Status | Type | Title | Detail |
|---|---|---|---|
| 400 | Bad Request | Bad Request Error | Validation failed. Missing payload. |
| 401 | Unauthorized | Unauthorized Error | |
| 402 | Payment Required | Payment Required Error | Validation failed. Missing payload. |
| 403 | Forbidden | Forbidden Error | |
| 404 | Not Found | Not Found Error | |
| 405 | Method Not Allowed | Method Not Allowed Error | |
| 409 | Conflict | Conflict Error | |
| 413 | Payload Too Large | Payload Too Large Error | |
| 500 | Internal Server Error | Internal Server Error | |
| 501 | Not Implemented | Not Implemented Error | |
| 502 | Bad Gateway | Bad Gateway Error | |
| 503 | Service Unavailable | Service Unavailable Error | |
| 504 | Gateway Timeout | Gateway Timeout Error |
Authorizations
APIKeyHeader
- X-API-Key: string, required, header
- Supply the API Key in the HTTP-Header.
Headers
- Accept: enum
- The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
- The
Available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Path Parameters
- projectId: string, required, the unique identifier for the Project.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
- Required string length:
Response
200
Returns the default Live Agent Inbox Id of the project or an error message.